DSAPrivateKey (Java Platform SE 8 )
Keywords: java.security.interfaces.DSAPrivateKey interface
Date: 2018-07-01

compact1, compact2, compact3
java.security.interfaces

## Interface DSAPrivateKey

- All Superinterfaces:
    Destroyable, DSAKey, Key, PrivateKey, Serializable

      public interface DSAPrivateKey
      extends DSAKey, PrivateKey

  The standard interface to a DSA private key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.
  See Also:
    `Key`, `Signature`, `DSAKey`, `DSAPublicKey`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getX()` Returns the value of the private key, `x`.

    - ### Methods inherited from interface java.security.interfaces.DSAKey

      `getParams`

    - ### Methods inherited from interface java.security.Key

      `getAlgorithm, getEncoded, getFormat`

    - ### Methods inherited from interface javax.security.auth.Destroyable

      `destroy, isDestroyed`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getX

          BigInteger getX()

      Returns the value of the private key, `x`.
      Returns:
        the value of the private key, `x`.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.